/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.MtCaseExecChartDao;
import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.service.MtCaseExecChartService;
import net.northking.cctp.dw.db.entity.MtCaseExecChart;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtCaseExecChartDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 用例执行统计图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtCaseExecChartServiceImpl")
public class MtCaseExecChartServiceImpl extends PaginationService<MtCaseExecChart> implements MtCaseExecChartService {
    private static final Logger logger = LoggerFactory.getLogger(MtCaseExecChartServiceImpl.class);

    private final MtCaseExecChartDao mtCaseExecChartDao;

    public MtCaseExecChartServiceImpl(MtCaseExecChartDao mtCaseExecChartDao) {
        this.mtCaseExecChartDao = mtCaseExecChartDao;
    }

    public BasicDao<MtCaseExecChart> getDao() {
        return mtCaseExecChartDao;
    }

    public MtCaseExecChart createEntity() {
        return new MtCaseExecChart();
    }

    @Override
    protected void beforeInsert(MtCaseExecChart mtCaseExecChart) {

    }

    @Override
    protected void beforeUpdate(MtCaseExecChart mtCaseExecChart) {

    }

    @Override
    public List<MtCaseExecChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto) {
        return mtCaseExecChartDao.listQuery(chartDataGeneQueryDto);
    }

    @Override
    public Integer syncExecNotice(DwManualExecJob dwManualExecJob) {
        return mtCaseExecChartDao.syncExecNotice(dwManualExecJob);
    }

    @Override
    public Integer deleteByExampleByProjectIds(MtCaseExecChart mtCaseExecChart) {
        return mtCaseExecChartDao.deleteByExampleByProjectIds(mtCaseExecChart);
    }

}

